CWGraphInternal::CurvePoint Struct Reference

Internal: the structure used to a point of a CWGraph. More...

## Public Member Functions

| CurvePoint (Vec2f point=Vec2f())

## Public Attributes

Vec2f | m_pos
| the main position More...
Vec2f | m_controlPoints [2]
| the control point: previous, next More...
int | m_type
| the point type More...

## Friends

std::ostream & | operator<< (std::ostream &o, CurvePoint const &pt)
| operator<< More...

## Detailed Description

Internal: the structure used to a point of a CWGraph.

## Constructor & Destructor Documentation

CWGraphInternal::CurvePoint::CurvePoint | ( | Vec2f | point = `Vec2f()` | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | CurvePoint const & | pt
| ) |  |

friend

operator<<

## Member Data Documentation

Vec2f CWGraphInternal::CurvePoint::m_controlPoints[2]

the control point: previous, next

Referenced by CurvePoint(), CWGraph::readPolygonData(), and CWGraph::sendBasicPicture().

Vec2f CWGraphInternal::CurvePoint::m_pos

the main position

Referenced by CWGraph::sendBasicPicture().

int CWGraphInternal::CurvePoint::m_type

the point type

Referenced by CWGraph::readPolygonData(), and CWGraph::sendBasicPicture().

The documentation for this struct was generated from the following file:

- CWGraph.cxx